/*----------------------------------------------------------------------------------------------------
	TOMGS - ANCHORED ROLLOVER IMAGE ENGINE
	<FEATURES>
		1. You do not need to write 'onMouseover' and 'onMouseout' attributes in HTML tags.
		2. You just write your setting for rollover images in this JavaScript file.
	<USAGE>
		1. First you must understand structures of html tag for this engine. This engine needs id
			attribute in tag, plus, the images must be sandwiched by anchor tags.
				<ul id="sample_menu">
					<li><a href="./menu1.htm"><img src="./images/menu1_0.gif" width="100" height="20" /></a></li>
					<li><a href="./menu2.htm"><img src="./images/menu2_0.gif" width="100" height="20" /></a></li>
					<li><a href="./menu3.htm"><img src="./images/menu3_0.gif" width="100" height="20" /></a></li>
				</ul>
			Please write the statements like upper example on your html.
			
		2. Next you must set configuration on this file. You should set values of variables
			in lines 'config' commented.
				targetId: ID attribute of html tag (ex. targetId = "sample_menu";)
				prefixPath: Path to images for rollover (ex. prefixPath = "./images/";)
				outImages: Image file names when mouse pointer is out
					(ex. outImages = new Array("menu1_0.gif", "menu2_0.gif", "menu3_0.gif");)
				overImages: Image file names when mouse pointer is over
					(ex. overImages = new Array("menu1_1.gif", "menu2_1.gif", "menu3_1.gif");)
			
			ATTENTION!: Check again outImages and overImages. Those must have the same orders.
----------------------------------------------------------------------------------------------------*/

//== config ==========================================================================================
  targetId   = "sb_list";
  prefixPath = "./images/";
  outImages  = new Array("sb_toppage_0.gif", "sb_about_0.gif", "sb_menu_0.gif", "sb_contact_0.gif");
  overImages = new Array("sb_toppage_1.gif", "sb_about_1.gif", "sb_menu_1.gif", "sb_contact_1.gif");
//====================================================================================================


//PRIMARY STARTS THIS PROCESS
if (navigator.appName == "Microsoft Internet Explorer"){
	window.attachEvent("onload", startRollover);
}else{
	window.addEventListener("load", startRollover, false);
}

//FUNCTION TO START PROCESS
function startRollover(){
	var targetObj = document.getElementById(targetId);
	if (navigator.appName == "Microsoft Internet Explorer"){
		ie(targetObj);
	}else{
		notIe(targetObj);
	}
}

//Check origin of events on IE
function ie(targetObj){
	targetObj.attachEvent("onmouseover", imgChange);
	targetObj.attachEvent("onmouseout", imgChange);
}

//Check origin of event on non IE
function notIe(targetObj){
	targetObj.addEventListener("mouseover", imgChange, false);
	targetObj.addEventListener("mouseout", imgChange, false);
}


//Changing image
function imgChange(evt) {
	var anchorElements = document.getElementById(targetId).getElementsByTagName("a");
	for (var i = 0; i < anchorElements.length; i++){
		var imgObj = anchorElements[i].firstChild;
		var eventObj;
		if (navigator.appName == "Microsoft Internet Explorer"){
			eventObj = event.srcElement;
		}else{
			eventObj = evt.target;
		}
		if (imgObj == eventObj){
			var fileName  = getName(imgObj.src);
			imgObj.src = prefixPath + fileName;
		}
	}
}

//Getting name of image
function getName(imgPath){
	var pos = imgPath.lastIndexOf("/");
	if (pos != -1){
		pos++;
		var fileName = imgPath.substring(pos);
	}
	
	for (var i = 0; i < outImages.length; i++){
		if (fileName == outImages[i]){
			return overImages[i];
		}else if (fileName == overImages[i]){
			return outImages[i];
		}
	}
}

